package io.github.rmuhamedgaliev.service.CPU;

/**
 * Developer Rinat Muhamedgaliev
 * Date: 4/25/13
 */
public interface CPUInformation {

    /**
     * Getting information about count of CPU
     * @return count of CPU
     */
    Integer getCountOfCPUCores();

    /**
     * Get count of physical cpu
     * @return count of physical cpu
     */
    int getCountOfPhysicalCPU();

    /**
     * Get count of logical CPU
     * @return count of logical CPU
     */
    int getCountOfLogicalCPU();
}
