package io.github.rmuhamedgaliev.service.OS;

/**
 * Developer: Muhamedgaliev Rinat
 * Date: 5/1/13
 * Time: 12:34 PM
 */
public interface OSInformation {

    /**
     * Get version of kernel Linux
     * @return string version
     */
    String getOSVersion();

    /**
     * Get arch of kernel Linux
     * @return string arch
     */
    String getOSArch();

    /**
     * Get system date in format yyyy/MM/dd HH:mm:ss
     * @return formated date yyyy/MM/dd HH:mm:ss
     */
    String getOSDate();
}
